alpha_000: sub(rank(ts_argmax(pow(condition(lt({return},0),ts_std({return},20),{close}),2.),5)),0.5)
alpha_001: mul(-1,ts_corr(rank(ts_delta(log({volume}),2)),rank(div(sub({close},{open}),{open})),6))
alpha_002: mul(-1,ts_corr(rank({open}),rank({volume}),10))
alpha_003: mul(-1,ts_rank(rank({low}),9))
alpha_004: mul(rank(sub({open},div(ts_sum({vwap},10),10))),mul(-1,abs(rank(sub({close},{vwap})))))
alpha_005: mul(-1,ts_corr({open},{volume},10))
alpha_006: condition(lt(ts_mean({amount},20),{volume}),mul(mul(-1,ts_rank(abs(ts_delta({close},7)),60)),sign(ts_delta({close},7))),mul(-1,1))
alpha_007: mul(-1,rank(sub(mul(ts_sum({open},5),ts_sum({return},5)),delay(mul(ts_sum({open},5),ts_sum({return},5)),10))))
alpha_008: condition(lt(0,ts_min(ts_delta({close},1),5)),ts_delta({close},1),condition(lt(ts_max(ts_delta({close},1),5),0),ts_delta({close},1),mul(-1,ts_delta({close},1))))
alpha_009: rank(condition(lt(0,ts_min(ts_delta({close},1),4)),ts_delta({close},1),condition(lt(ts_max(ts_delta({close},1),4),0),ts_delta({close},1),mul(-1,ts_delta({close},1)))))
alpha_010: mul(add(rank(ts_max(sub({vwap},{close}),3)),rank(ts_min(sub({vwap},{close}),3))),rank(ts_delta({volume},3)))
alpha_011: mul(sign(ts_delta({volume},1)),mul(-1,ts_delta({close},1)))
alpha_012: mul(-1,rank(ts_cov(rank({close}),rank({volume}),5)))
alpha_013: mul(mul(-1,rank(ts_delta({return},3))),ts_corr({open},{volume},10))
alpha_014: mul(-1,ts_sum(rank(ts_corr(rank({high}),rank({volume}),3)),3))
alpha_015: mul(-1,rank(ts_cov(rank({high}),rank({volume}),5)))
alpha_016: mul(mul(mul(-1,rank(ts_rank({close},10))),rank(ts_delta(ts_delta({close},1),1))),rank(ts_rank(div({volume},ts_mean({amount},20)),5)))
alpha_017: mul(-1,rank(add(add(ts_std(abs(sub({close},{open})),5),sub({close},{open})),ts_corr({close},{open},10))))
alpha_018: mul(mul(-1,sign(add(sub({close},delay({close},7)),ts_delta({close},7)))),add(1,rank(add(1,ts_sum({return},250)))))
alpha_019: mul(mul(mul(-1,rank(sub({open},delay({high},1)))),rank(sub({open},delay({close},1)))),rank(sub({open},delay({low},1))))
alpha_020: condition(lt(add(div(ts_sum({close},8),8),ts_std({close},8)),div(ts_sum({close},2),2)),mul(-1,1),condition(lt(div(ts_sum({close},2),2),sub(div(ts_sum({close},8),8),ts_std({close},8))),1,condition(or(lt(1,div({volume},ts_mean({amount},20))),eq(div({volume},ts_mean({amount},20)),1)),1,mul(-1,1))))
alpha_021: mul(-1,mul(ts_delta(ts_corr({high},{volume},5),5),rank(ts_std({close},20))))
alpha_022: condition(lt(div(ts_sum({high},20),20),{high}),mul(-1,ts_delta({high},2)),0)
alpha_023: condition(or(lt(div(ts_delta(div(ts_sum({close},100),100),100),delay({close},100)),0.05),eq(div(ts_delta(div(ts_sum({close},100),100),100),delay({close},100)),0.05)),mul(-1,sub({close},ts_min({close},100))),mul(-1,ts_delta({close},3)))
alpha_024: rank(mul(mul(mul(mul(-1,{return}),ts_mean({amount},20)),{vwap}),sub({high},{close})))
alpha_025: mul(-1,ts_max(ts_corr(ts_rank({volume},5),ts_rank({high},5),5),3))
alpha_026: condition(lt(0.5,rank(div(ts_sum(ts_corr(rank({volume}),rank({vwap}),6),2),2.0))),mul(-1,1),1)
alpha_027: twise_a_scale(sub(add(ts_corr(ts_mean({amount},20),{low},5),div(add({high},{low}),2)),{close}),1)
alpha_028: add(ts_min(ts_product(rank(rank(scale(log(ts_sum(ts_min(rank(rank(mul(-1,rank(ts_delta(sub({close},1),5))))),2),1))))),1),5),ts_rank(delay(mul(-1,{return}),6),5))
alpha_029: div(mul(sub(1.0,rank(add(add(sign(sub({close},delay({close},1))),sign(sub(delay({close},1),delay({close},2)))),sign(sub(delay({close},2),delay({close},3)))))),ts_sum({volume},5)),ts_sum({volume},20))
alpha_030: add(add(rank(rank(rank(ts_decayed_linear(mul(-1,rank(rank(ts_delta({close},10)))),10)))),rank(mul(-1,ts_delta({close},3)))),sign(scale(ts_corr(ts_mean({amount},20),{low},12))))
alpha_031: add(scale(sub(div(ts_sum({close},7),7),{close})),mul(20,scale(ts_corr({vwap},delay({close},5),230))))
alpha_032: rank(mul(-1,pow(sub(1,div({open},{close})),1)))
alpha_033: rank(add(sub(1,rank(div(ts_std({return},2),ts_std({return},5)))),sub(1,rank(ts_delta({close},1)))))
alpha_034: mul(mul(ts_rank({volume},32),sub(1,ts_rank(sub(add({close},{high}),{low}),16))),sub(1,ts_rank({return},32)))
alpha_035: add(add(add(add(mul(2.21,rank(ts_corr(sub({close},{open}),delay({volume},1),15))),mul(0.7,rank(sub({open},{close})))),mul(0.73,rank(ts_rank(delay(mul(-1,{return}),6),5)))),rank(abs(ts_corr({vwap},ts_mean({amount},20),6)))),mul(0.6,rank(mul(sub(div(ts_sum({close},200),200),{open}),sub({close},{open})))))
alpha_036: add(rank(ts_corr(delay(sub({open},{close}),1),{close},200)),rank(sub({open},{close})))
alpha_037: mul(mul(-1,rank(ts_rank({close},10))),rank(div({close},{open})))
alpha_038: mul(mul(-1,rank(mul(ts_delta({close},7),sub(1,rank(ts_decayed_linear(div({volume},ts_mean({amount},20)),9)))))),add(1,rank(ts_sum({return},250))))
alpha_039: mul(mul(-1,rank(ts_std({high},10))),ts_corr({high},{volume},10))
alpha_040: sub(pow(mul({high},{low}),0.5),{vwap})
alpha_041: div(rank(sub({vwap},{close})),rank(add({vwap},{close})))
alpha_042: mul(ts_rank(div({volume},ts_mean({amount},20)),20),ts_rank(mul(-1,ts_delta({close},7)),8))
alpha_043: mul(-1,ts_corr({high},rank({volume}),5))
alpha_044: mul(-1,mul(mul(rank(div(ts_sum(delay({close},5),20),20)),ts_corr({close},{volume},2)),rank(ts_corr(ts_sum({close},5),ts_sum({close},20),2))))
alpha_045: condition(lt(0.25,sub(div(sub(delay({close},20),delay({close},10)),10),div(sub(delay({close},10),{close}),10))),mul(-1,1),condition(lt(sub(div(sub(delay({close},20),delay({close},10)),10),div(sub(delay({close},10),{close}),10)),0),1,mul(mul(-1,1),sub({close},delay({close},1)))))
alpha_046: sub(mul(div(mul(rank(div(1,{close})),{volume}),ts_mean({amount},20)),div(mul({high},rank(sub({high},{close}))),div(ts_sum({high},5),5))),rank(sub({vwap},delay({vwap},5))))
alpha_047: div(grouped_demean(div(mul(ts_corr(ts_delta({close},1),ts_delta(delay({close},1),1),250),ts_delta({close},1)),{close}),{industry_group_lv3}),ts_sum(pow(div(ts_delta({close},1),delay({close},1)),2),250))
alpha_048: condition(lt(sub(div(sub(delay({close},20),delay({close},10)),10),div(sub(delay({close},10),{close}),10)),mul(-1,0.1)),1,mul(mul(-1,1),sub({close},delay({close},1))))
alpha_049: mul(-1,ts_max(rank(ts_corr(rank({volume}),rank({vwap}),5)),5))
alpha_050: condition(lt(sub(div(sub(delay({close},20),delay({close},10)),10),div(sub(delay({close},10),{close}),10)),mul(-1,0.05)),1,mul(mul(-1,1),sub({close},delay({close},1))))
alpha_051: mul(mul(add(mul(-1,ts_min({low},5)),delay(ts_min({low},5),5)),rank(div(sub(ts_sum({return},240),ts_sum({return},20)),220))),ts_rank({volume},5))
alpha_052: mul(-1,ts_delta(div(sub(sub({close},{low}),sub({high},{close})),sub({close},{low})),9))
alpha_053: div(mul(-1,mul(sub({low},{close}),pow({open},5))),mul(sub({low},{high}),pow({close},5)))
alpha_054: mul(-1,ts_corr(rank(div(sub({close},ts_min({low},12)),sub(ts_max({high},12),ts_min({low},12)))),rank({volume}),6))
alpha_055: sub(0,mul(1,mul(rank(div(ts_sum({return},10),ts_sum(ts_sum({return},2),3))),rank(mul({return},{cap})))))
alpha_056: sub(0,mul(1,div(sub({close},{vwap}),ts_decayed_linear(rank(ts_argmax({close},30)),2))))
alpha_057: mul(-1,ts_rank(ts_decayed_linear(ts_corr(grouped_demean({vwap},{industry_group_lv1}),{volume},3.92795),7.89291),5.50322))
alpha_058: mul(-1,ts_rank(ts_decayed_linear(ts_corr(grouped_demean(add(mul({vwap},0.728317),mul({vwap},sub(1,0.728317))),{industry_group_lv2}),{volume},4.25197),16.2289),8.19648))
alpha_059: sub(0,mul(1,sub(mul(2,scale(rank(mul(div(sub(sub({close},{low}),sub({high},{close})),sub({high},{low})),{volume})))),scale(rank(ts_argmax({close},10))))))
alpha_060: lt(rank(sub({vwap},ts_min({vwap},16.1219))),rank(ts_corr({vwap},ts_mean({amount},180),17.9282)))
alpha_061: mul(lt(rank(ts_corr({vwap},ts_sum(ts_mean({amount},20),22.4101),9.91009)),rank(lt(add(rank({open}),rank({open})),add(rank(div(add({high},{low}),2)),rank({high}))))),-1)
alpha_062: mul(sub(rank(ts_decayed_linear(ts_delta(grouped_demean({close},{industry_group_lv2}),2.25164),8.22237)),rank(ts_decayed_linear(ts_corr(add(mul({vwap},0.318108),mul({open},sub(1,0.318108))),ts_sum(ts_mean({amount},180),37.2467),13.557),12.2883))),-1)
alpha_063: mul(lt(rank(ts_corr(ts_sum(add(mul({open},0.178404),mul({low},sub(1,0.178404))),12.7054),ts_sum(ts_mean({amount},120),12.7054),16.6208)),rank(ts_delta(add(mul(div(add({high},{low}),2),0.178404),mul({vwap},sub(1,0.178404))),3.69741))),-1)
alpha_064: mul(lt(rank(ts_corr(add(mul({open},0.00817205),mul({vwap},sub(1,0.00817205))),ts_sum(ts_mean({amount},60),8.6911),6.40374)),rank(sub({open},ts_min({open},13.635)))),-1)
alpha_065: mul(add(rank(ts_decayed_linear(ts_delta({vwap},3.51013),7.23052)),ts_rank(ts_decayed_linear(div(sub(add(mul({low},0.96633),mul({low},sub(1,0.96633))),{vwap}),sub({open},div(add({high},{low}),2))),11.4157),6.72611)),-1)
alpha_066: mul(pow(rank(sub({high},ts_min({high},2.14593))),rank(ts_corr(grouped_demean({vwap},{industry_group_lv1}),grouped_demean(ts_mean({amount},20),{industry_group_lv3}),6.02936))),-1)
alpha_067: mul(lt(ts_rank(ts_corr(rank({high}),rank(ts_mean({amount},15)),8.91644),13.9333),rank(ts_delta(add(mul({close},0.518371),mul({low},sub(1,0.518371))),1.06157))),-1)
alpha_068: mul(pow(rank(ts_max(ts_delta(grouped_demean({vwap},{industry_group_lv2}),2.72412),4.79344)),ts_rank(ts_corr(add(mul({close},0.490655),mul({vwap},sub(1,0.490655))),ts_mean({amount},20),4.92416),9.0615)),-1)
alpha_069: mul(pow(rank(ts_delta({vwap},1.29456)),ts_rank(ts_corr(grouped_demean({close},{industry_group_lv2}),ts_mean({amount},50),17.8256),17.9171)),-1)
alpha_070: ts_max(ts_rank(ts_decayed_linear(ts_corr(ts_rank({close},3.43976),ts_rank(ts_mean({amount},180),12.0647),18.0175),4.20501),15.6948),ts_rank(ts_decayed_linear(pow(rank(sub(add({low},{open}),add({vwap},{vwap}))),2),16.4662),4.4388))
alpha_071: div(rank(ts_decayed_linear(ts_corr(div(add({high},{low}),2),ts_mean({amount},40),8.93345),10.1519)),rank(ts_decayed_linear(ts_corr(ts_rank({vwap},3.72469),ts_rank({volume},18.5188),6.86671),2.95011)))
alpha_072: mul(ts_max(rank(ts_decayed_linear(ts_delta({vwap},4.72775),2.91864)),ts_rank(ts_decayed_linear(mul(div(ts_delta(add(mul({open},0.147155),mul({low},sub(1,0.147155))),2.03608),add(mul({open},0.147155),mul({low},sub(1,0.147155)))),-1),3.33829),16.7411)),-1)
alpha_073: mul(lt(rank(ts_corr({close},ts_sum(ts_mean({amount},30),37.4843),15.1365)),rank(ts_corr(rank(add(mul({high},0.0261661),mul({vwap},sub(1,0.0261661)))),rank({volume}),11.4791))),-1)
alpha_074: lt(rank(ts_corr({vwap},{volume},4.24304)),rank(ts_corr(rank({low}),rank(ts_mean({amount},50)),12.4413)))
alpha_075: mul(ts_max(rank(ts_decayed_linear(ts_delta({vwap},1.24383),11.8259)),ts_rank(ts_decayed_linear(ts_rank(ts_corr(grouped_demean({low},{industry_group_lv1}),ts_mean({amount},81),8.14941),19.569),17.1543),19.383)),-1)
alpha_076: ts_min(rank(ts_decayed_linear(sub(add(div(add({high},{low}),2),{high}),add({vwap},{high})),20.0451)),rank(ts_decayed_linear(ts_corr(div(add({high},{low}),2),ts_mean({amount},40),3.1614),5.64125)))
alpha_077: pow(rank(ts_corr(ts_sum(add(mul({low},0.352233),mul({vwap},sub(1,0.352233))),19.7428),ts_sum(ts_mean({amount},40),19.7428),6.83313)),rank(ts_corr(rank({vwap}),rank({volume}),5.77492)))
alpha_078: lt(rank(ts_delta(grouped_demean(add(mul({close},0.60733),mul({open},sub(1,0.60733))),{industry_group_lv1}),1.23438)),rank(ts_corr(ts_rank({vwap},3.60973),ts_rank(ts_mean({amount},150),9.18637),14.6644)))
alpha_079: mul(pow(rank(sign(ts_delta(grouped_demean(add(mul({open},0.868128),mul({high},sub(1,0.868128))),{industry_group_lv2}),4.04545))),ts_rank(ts_corr({high},ts_mean({amount},10),5.11456),5.53756)),-1)
alpha_080: mul(lt(rank(log(ts_product(rank(pow(rank(ts_corr({vwap},ts_sum(ts_mean({amount},10),49.6054),8.47743)),4)),14.9655))),rank(ts_corr(rank({vwap}),rank({volume}),5.07914))),-1)
alpha_081: mul(ts_min(rank(ts_decayed_linear(ts_delta({open},1.46063),14.8717)),ts_rank(ts_decayed_linear(ts_corr(grouped_demean({volume},{industry_group_lv1}),add(mul({open},0.634196),mul({open},sub(1,0.634196))),17.4842),6.92131),13.4283)),-1)
alpha_082: div(mul(rank(delay(div(sub({high},{low}),div(ts_sum({close},5),5)),2)),rank(rank({volume}))),div(div(sub({high},{low}),div(ts_sum({close},5),5)),sub({vwap},{close})))
alpha_083: pow(ts_rank(sub({vwap},ts_max({vwap},15.3217)),20.7127),ts_delta({close},4.96796))
alpha_084: pow(rank(ts_corr(add(mul({high},0.876703),mul({close},sub(1,0.876703))),ts_mean({amount},30),9.61331)),rank(ts_corr(ts_rank(div(add({high},{low}),2),3.70596),ts_rank({volume},10.1595),7.11408)))
alpha_085: mul(lt(ts_rank(ts_corr({close},ts_sum(ts_mean({amount},20),14.7444),6.00049),20.4195),rank(sub(add({open},{close}),add({vwap},{open})))),-1)
alpha_086: mul(ts_max(rank(ts_decayed_linear(ts_delta(add(mul({close},0.369701),mul({vwap},sub(1,0.369701))),1.91233),2.65461)),ts_rank(ts_decayed_linear(abs(ts_corr(grouped_demean(ts_mean({amount},81),{industry_group_lv2}),{close},13.4132)),4.89768),14.4535)),-1)
alpha_087: ts_min(rank(ts_decayed_linear(sub(add(rank({open}),rank({low})),add(rank({high}),rank({close}))),8.06882)),ts_rank(ts_decayed_linear(ts_corr(ts_rank({close},8.44728),ts_rank(ts_mean({amount},60),20.6966),8.01266),6.65053),2.61957))
alpha_088: sub(ts_rank(ts_decayed_linear(ts_corr(add(mul({low},0.967285),mul({low},sub(1,0.967285))),ts_mean({amount},10),6.94279),5.51607),3.79744),ts_rank(ts_decayed_linear(ts_delta(grouped_demean({vwap},{industry_group_lv2}),3.48158),10.1466),15.3012))
alpha_089: mul(pow(rank(sub({close},ts_max({close},4.66719))),ts_rank(ts_corr(grouped_demean(ts_mean({amount},40),{industry_group_lv3}),{low},5.38375),3.21856)),-1)
alpha_090: mul(sub(ts_rank(ts_decayed_linear(ts_decayed_linear(ts_corr(grouped_demean({close},{industry_group_lv2}),{volume},9.74928),16.398),3.83219),4.8667),rank(ts_decayed_linear(ts_corr({vwap},ts_mean({amount},30),4.01303),2.6809))),-1)
alpha_091: ts_min(ts_rank(ts_decayed_linear(lt(add(div(add({high},{low}),2),{close}),add({low},{open})),14.7221),18.8683),ts_rank(ts_decayed_linear(ts_corr(rank({low}),rank(ts_mean({amount},30)),7.58555),6.94024),6.80584))
alpha_092: div(ts_rank(ts_decayed_linear(ts_corr(grouped_demean({vwap},{industry_group_lv2}),ts_mean({amount},81),17.4193),19.848),7.54455),rank(ts_decayed_linear(ts_delta(add(mul({close},0.524434),mul({vwap},sub(1,0.524434))),2.77377),16.2664)))
alpha_093: mul(pow(rank(sub({vwap},ts_min({vwap},11.5783))),ts_rank(ts_corr(ts_rank({vwap},19.6462),ts_rank(ts_mean({amount},60),4.02992),18.0926),2.70756)),-1)
alpha_094: lt(rank(sub({open},ts_min({open},12.4105))),ts_rank(pow(rank(ts_corr(ts_sum(div(add({high},{low}),2),19.1351),ts_sum(ts_mean({amount},40),19.1351),12.8742)),5),11.7584))
alpha_095: mul(ts_max(ts_rank(ts_decayed_linear(ts_corr(rank({vwap}),rank({volume}),3.83878),4.16783),8.38151),ts_rank(ts_decayed_linear(ts_argmax(ts_corr(ts_rank({close},7.45404),ts_rank(ts_mean({amount},60),4.13242),3.65459),12.6556),14.0365),13.4143)),-1)
alpha_096: mul(sub(rank(ts_decayed_linear(ts_delta(grouped_demean(add(mul({low},0.721001),mul({vwap},sub(1,0.721001))),{industry_group_lv2}),3.3705),20.4523)),ts_rank(ts_decayed_linear(ts_rank(ts_corr(ts_rank({low},7.87871),ts_rank(ts_mean({amount},60),17.255),4.97547),18.5925),15.7152),6.71659)),-1)
alpha_097: sub(rank(ts_decayed_linear(ts_corr({vwap},ts_sum(ts_mean({amount},5),26.4719),4.58418),7.18088)),rank(ts_decayed_linear(ts_rank(ts_argmin(ts_corr(rank({open}),rank(ts_mean({amount},15)),20.8187),8.62571),6.95668),8.07206)))
alpha_098: mul(lt(rank(ts_corr(ts_sum(div(add({high},{low}),2),19.8975),ts_sum(ts_mean({amount},60),19.8975),8.8136)),rank(ts_corr({low},{volume},6.28259))),-1)
alpha_099: sub(0,mul(1,mul(sub(mul(1.5,scale(grouped_demean(grouped_demean(rank(mul(div(sub(sub({close},{low}),sub({high},{close})),sub({high},{low})),{volume})),{industry_group_lv3}),{industry_group_lv3}))),scale(grouped_demean(sub(ts_corr({close},rank(ts_mean({amount},20)),5),rank(ts_argmin({close},30))),{industry_group_lv3}))),div({volume},ts_mean({amount},20)))))
alpha_100: div(sub({close},{open}),add(sub({high},{low}),.001))
